.btn {
  text-transform: uppercase;
  font-weight: bold;
  .button-size(@btn-padding-base-vertical; @btn-padding-base-horizontal; @font-size-base; @line-height-base; @btn-border-radius-base);

  border: 0px none;
  &:hover,
  &:focus,
  &.focus {
    background-color: @xivo-light;
  }
}

.button-color(@main-color) {
  &:hover,
  &:focus,
  &.focus {
    color: @main-color;
  }
  &[disabled]:hover,
  &[disabled]:focus,
  &[disabled]:focus {
    color: @xivo-light;
  }
  &:active,
  &.active {
    background: @main-color;
    box-shadow: none;
    &:hover {
      background: @main-color;
    }
  }
}

.btn-default  {
  &:hover {
    color: @btn-default-bg;
    background: @btn-primary-bg;
  }
  &:active,
  &:active:hover {
    color: @btn-default-bg;
    background: @xivo-dark;
  }

}

.btn-info, .btn-dark {
  .button-color(@xivo-dark);
  &:hover,
  &:focus,
  &.focus {
    background-color: @brand-primary;
    color: @xivo-light;
  }

  .badge {
    background-color: @brand-primary;
    color: @xivo-light;
  }
}

.btn-primary {
  .button-color(@btn-primary-bg);
}

.btn-success {
  .button-color(@btn-success-bg);
}

.btn-warning {
  .button-color(@btn-warning-bg);
}

.btn-danger {
  .button-color(@btn-danger-bg);
}

.btn-dark {
  .button-variant(@btn-info-color; @xivo-dark-gray; @btn-info-border);
  &:hover {
    background-color: @xivo-primary;
  }
  &:active {
    background: @xivo-dark;
  }
}

.btn-circle {
  position: relative;
  letter-spacing: 0.5px;
  padding:1px 0 0 1px;
  border-radius: @btn-circle-size;
  width:@btn-circle-size;
  height:@btn-circle-size;
  line-height: @btn-circle-size;
  box-shadow: 0px 2px 4px 1px rgba(110, 110, 110, 0.35);
}

.btn-circle .badge {
  position:absolute!important;
  top:25px;
  right:-10px;

}

.btn-xs.btn-circle {
  width: 15px;
  height: 15px;
  border-radius: 20px;
  line-height: 20px;
  .glyphicon {
    top: -0.2em;
    left: .06em;
    font-size: 11px;
  }
}

.btn-lg.btn-circle {
  width: 45px;
  height: 45px;
  border-radius: 50px;
  line-height: 40px;
  font-size: 20px;
  .fa {
    position: relative;
    top: 11px;
    left: 0;
    vertical-align: top;
  }
  .fas {
    top: 12px;
    left: 12px;
    vertical-align: top;
    float: left;
  }
}

.group-btn-wrapper {
  overflow: hidden;

  .btn-action {
    padding: 11px 16px 9px 16px;
    border-left: 1px solid grey;
    border-radius: 0;

    &:hover {
      border-color: grey;
    }

    &.btn-loggedoff:hover {
      background-color: @xivo-dark-gray !important;
    }

    .fa, .fas {
      color: @xivo-light !important;
      visibility: visible !important;
    }
  }

  .btn-room-audio {
    .fa-phone {
      padding-left: 10px;
    }
  }

  .btn-dial {

    .fa, .fas {
      position: relative;
      left: 14px;
      top: 1px;
      color: @xivo-light !important;
      visibility: visible !important;
      font-size: 16px;
    }
  }

  .btn-direct-transfer {
    padding: 10px 16px 10px 16px;
    border-left: 1px solid grey;
    border-radius: 0;
    font-size: 14px;
    color: white;

    &:hover {
      border-color: grey;
    }

    &.btn-loggedoff:hover {
      background-color: @xivo-dark-gray !important;
    }

    .fa, .fas {
      color: @xivo-light !important;
      visibility: visible !important;
    }
  }

  .btn-copy {
    padding: 11px 18px 9px 16px;
    border-left: 1px solid grey;
    margin-left: 0 !important;

    .fa-clipboard {
      color: @xivo-light !important;
      visibility: visible !important;
      padding-right: 3px;
    }
  }

  .btn-info {
    padding: 11px 18px 9px 16px;
    border-left: 1px solid grey;
    margin-left: 0 !important;

    .fa-info {
      color: @xivo-light !important;
      visibility: visible !important;
      padding-right: 6px;
      font-size: 16px;
      padding-left: 2px;
    }
  }
}

.dropdown-menu > li > a.btn {
  .button-size(@btn-padding-base-vertical; 15px; @font-size-base; @line-height-base; @btn-border-radius-base);
}


.btn-loggedoff {
  cursor: not-allowed;
}


.arrow-button-switchboard {
  margin-left: 370px !important;
}
.arrow-button-wrapper {

  width: 23px;
  height: 23px;
  position: absolute;
  text-align: center;
  line-height: 15px;
  cursor: pointer;
  background-color: #131519;
  border-radius: 2px;
  border: 3px solid #131519;
  margin: 5px;
  z-index: @arrow-wrapper;

  &:hover, &:focus {
    background-color: #424447;
  }
}

.hide-show-phone-bar {
  color: #fff;
  z-index: @hide-show-phone-bar;
  cursor: pointer;
  font-size: 12px;
  opacity: 0.7;
}

.fa-users-plus-wrapper {
  position: relative;

    .fa-users-plus-1 {
      font-size: 10px;
      position: absolute;
      bottom: -2px;
      right: -6px;
    }

  .fa-users-plus-0 {
    font-size: 18px;
  }
}

